package widgets

import (
	"image"
	"image/color"

	"gioui.org/layout"
)

var (
	lineColor color.NRGBA = color.NRGBA{R: 204, G: 204, B: 204, A: 255}
)

func SeparatorHorizontal(gtx layout.Context) layout.Dimensions {
	min := image.Pt(0, 0)
	max := image.Pt(gtx.Constraints.Max.X, gtx.Constraints.Min.Y)
	DrawLine(gtx.Ops, min, max, 2, lineColor)
	return layout.Dimensions{
		Size: image.Pt(max.X, max.Y),
	}
}
